CLASS WEEKS_DURATI(3)

NAME
boost::gregorian::weeks_duration

SYNOPSIS

// In header: <boost/date_time/gregorian/greg_duration_types.hpp>
class weeks_duration : public boost::gregorian::date_duration {
public:
  // construct/copy/destruct
  weeks_duration(duration_rep);
  weeks_duration(date_time::special_values);
};

DESCRIPTION

  weeks_duration public construct/copy/destruct

    1.

    weeks_duration(duration_rep w);

    2.

    weeks_duration(date_time::special_values sv);